Description

I am conducting an analysis of wave 1 and 2 Understanding society data, and I intend to analyse a subpopulation of the study

sample which is made up of individual respondents who 1)identify as an ethnic minority 2)completed the extra five minutes questions

and 3)has ever consumed alcohol.

Currently I have dropped all respondents who do not meet the above criteria from my dataset. However, when doing some reading

around accounting for complex survey design in stata I found some information which states that dropping cases from survey data

can lead to incorrect calculation of standard errors. (https://stats.oarc.ucla.edu/stata/seminars/survey-data-analysis-in-stata-17/)

The article states that no cases should be dropped from the dataset and instead the subpop command stata should be used to

restrict analyses to the subpopulation of interest.

Is this guidance for analysing subpopulations relevant to the Understanding society data? And do you recommend this method for

analysing subpopulations?

History

#1 - 01/20/2025 10:27 AM - Understanding Society  User Support Team

- Category changed from Data analysis to Data documentation

- Status changed from New to Feedback

- % Done changed from 0 to 50

- Private changed from Yes to No

Hello Evie

I recommend taking a look at the Weighting guidance section in our user guide: 

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/weighting-guidance/. In particular, the

subsection “representing the population” may be helpful: 

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/representing-the-population/. You also find

information there about the extra 5 minutes questionnaire.

Additionally, please review the subsection “How to use weights – Analysis guidance for weights, PSU, Strata” for examples on setting up your dataset

to achieve unbiased standard errors:  

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/how-to-use-weights-analysis-guidance-for-wei

ghts-psu-strata/

I hope this information is helpful.

Best wishes,

Roberto Cavazos

Understanding Society User Support Team

#2 - 01/20/2025 12:52 PM - Evie Gates

Understanding Society  User Support Team wrote in #note-1:

Hello Evie

I recommend taking a look at the Weighting guidance section in our user guide: 

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/weighting-guidance/. In particular, the

subsection “representing the population” may be helpful: 

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/representing-the-population/. You also

find information there about the extra 5 minutes questionnaire.

Additionally, please review the subsection “How to use weights – Analysis guidance for weights, PSU, Strata” for examples on setting up your

dataset to achieve unbiased standard errors:  

https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/how-to-use-weights-analysis-guidance-fo

r-weights-psu-strata/
I hope this information is helpful.

Best wishes,

Roberto Cavazos

Understanding Society User Support Team

 Hi Roberto,

Thank you for your response.

I have reviewed the documents you attached and from what I can understand providing I appropriately account for PSU and strata in my analyses,

then my standard errors will be calculated correctly.

These documents however do not provide any guidance on what methods to use to create a subpopulation dataset, thus I am still unsure if the

method I have used is correct.

Best Wishes,

Evie Gates

#3 - 01/21/2025 04:55 PM - Understanding Society  User Support Team

- Category changed from Data documentation to Survey design

- % Done changed from 50 to 90

Hi Evie,

Yes, the subpop command is recommended for small subpopulations, see the FAQ 12: 

https://www.understandingsociety.ac.uk/wp-content/uploads/working-papers/2024-01.pdf

Best wishes,

Piotr Marzec,

UKHLS User Support
